commit e0b070f41e47de95fa67f65587c763697a9489ba
Author: Tomáš Orlovský <orlovsky@students.zcu.cz>
Date:   Tue May 4 18:02:21 2021 +0200

    Implemented most of login tests, one of two account tests and prepared tests for role testing. Deleted unused project. #8722 @testFull

diff --git a/Leuze.sln b/Leuze.sln
index 197fcc9..c074fce 100644
--- a/Leuze.sln
+++ b/Leuze.sln
@@ -37,8 +37,6 @@ Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "Leuze.Tests.Core.Domain", "
 EndProject
 Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "Leuze.Tests.Core", "tests\Core\Leuze.Tests.Core\Leuze.Tests.Core.csproj", "{D271989D-921D-486B-929C-6BBF1EC0EED4}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "Leuze.Tests.Core.Infrastructure.ActiveDirectory", "tests\Core\Leuze.Tests.Core.Infrastructure.ActiveDirectory\Leuze.Tests.Core.Infrastructure.ActiveDirectory.csproj", "{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}"
-EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
@@ -81,10 +79,6 @@ Global
 		{D271989D-921D-486B-929C-6BBF1EC0EED4}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{D271989D-921D-486B-929C-6BBF1EC0EED4}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D271989D-921D-486B-929C-6BBF1EC0EED4}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Release|Any CPU.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
@@ -103,7 +97,6 @@ Global
 		{B74BED5E-F175-4A6E-B4AC-8625E0E4E287} = {C5588326-929D-42B3-912B-9D838373B48E}
 		{8ECAEA01-61F3-402D-B94E-E54FC0C94C8E} = {B74BED5E-F175-4A6E-B4AC-8625E0E4E287}
 		{D271989D-921D-486B-929C-6BBF1EC0EED4} = {B74BED5E-F175-4A6E-B4AC-8625E0E4E287}
-		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66} = {B74BED5E-F175-4A6E-B4AC-8625E0E4E287}
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
 		SolutionGuid = {849C3668-1CB9-4F98-ADFA-A71F5629384C}
diff --git a/tests/Core/Leuze.Tests.Core.Infrastructure.ActiveDirectory/Leuze.Tests.Core.Infrastructure.ActiveDirectory.csproj b/tests/Core/Leuze.Tests.Core.Infrastructure.ActiveDirectory/Leuze.Tests.Core.Infrastructure.ActiveDirectory.csproj
deleted file mode 100644
index e66717d..0000000
--- a/tests/Core/Leuze.Tests.Core.Infrastructure.ActiveDirectory/Leuze.Tests.Core.Infrastructure.ActiveDirectory.csproj
+++ /dev/null
@@ -1,35 +0,0 @@
-<Project Sdk="Microsoft.NET.Sdk">
-
-  <PropertyGroup>
-    <AssemblyName>Leuze.Tests.Core.Infrastructure.ActiveDirectory</AssemblyName>
-    <RootNamespace>Leuze.Tests.Core.Infrastructure.ActiveDirectory</RootNamespace>
-    <Product></Product>
-    <Description></Description>
-  </PropertyGroup>
-
-  <PropertyGroup>
-    <TargetFramework>net5.0</TargetFramework>
-    <Nullable>enable</Nullable>
-    <IsPackable>false</IsPackable>
-    <GenerateDocumentationFile>true</GenerateDocumentationFile>
-  </PropertyGroup>
-
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
-    <DocumentationFile>..\..\..\docs\Leuze.Tests.Core.Infrastructure.ActiveDirectory.xml</DocumentationFile>
-  </PropertyGroup>
-
-  <ItemGroup>
-    <PackageReference Include="FluentAssertions" Version="5.10.3" />
-    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.9.1" />
-    <PackageReference Include="xunit" Version="2.4.1" />
-    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.3">
-      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
-      <PrivateAssets>all</PrivateAssets>
-    </PackageReference>
-    <PackageReference Include="coverlet.collector" Version="3.0.3">
-      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
-      <PrivateAssets>all</PrivateAssets>
-    </PackageReference>
-  </ItemGroup>
-
-</Project>
diff --git a/tests/Core/Leuze.Tests.Core/AccountManipulationTests.cs b/tests/Core/Leuze.Tests.Core/AccountManipulationTests.cs
new file mode 100644
index 0000000..9692327
--- /dev/null
+++ b/tests/Core/Leuze.Tests.Core/AccountManipulationTests.cs
@@ -0,0 +1,43 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using FluentAssertions;
+using Leuze.Core.Application.Identity;
+using Leuze.Tests.Configuration;
+using Microsoft.Extensions.DependencyInjection;
+using Xunit;
+
+namespace Leuze.Tests.Core
+{
+    [Trait("Category", "Core")]
+    public class AccountManipulationTests : TestWithDatabase
+    {
+
+        private static (string name, string mail, string pass) USER1 = ("user1", "user@test.com", "kappa123");
+        public AccountManipulationTests()
+        {
+            var services = new ServiceCollection();
+
+            Initialize(services);
+        }
+
+        [Fact]
+        [Trait("Category", "AccTests")]
+        public async Task CreateAccTest()
+        {
+            ApplicationUser user1 = new ApplicationUser(USER1.name, USER1.mail, false);
+            //TODO: fix create user with password
+            //DatabaseFixture.UserManager.CreateAsync(user1, USER1.pass).Wait();
+            DatabaseFixture.UserManager.CreateAsync(user1).Wait();
+            DatabaseFixture.UserManager.Users.Contains(user1).Should().BeTrue();
+        }
+
+        [Fact]
+        public async Task CreateADAccTest()
+        {
+            //TODO: Account create through AD login implementation
+        }
+    }
+}
diff --git a/tests/Core/Leuze.Tests.Core/LoginTests.cs b/tests/Core/Leuze.Tests.Core/LoginTests.cs
index ca660f8..b4c91fd 100644
--- a/tests/Core/Leuze.Tests.Core/LoginTests.cs
+++ b/tests/Core/Leuze.Tests.Core/LoginTests.cs
@@ -2,6 +2,7 @@ using System;
 using System.Threading.Tasks;
 using FluentAssertions;
 using Leuze.Core.Application.CQRS.Auth.Commads;
+using Leuze.Core.Application.CQRS.Auth.Commands;
 using Leuze.Core.Application.Identity;
 using Leuze.Core.Domain.Repositories;
 using Leuze.Core.Infrastructure.Persistence.Repository;
@@ -35,25 +36,29 @@ namespace Leuze.Tests.Core
         [Fact]
         public async Task SimpleLoginTest()
         {
-            //TODO: FIX THIS T.O.
-            ///await _semaphore.WaitAsync();
+            await _semaphore.WaitAsync();
 
-            ///IMediator mediator = DatabaseFixture.Services.GetRequiredService<IMediator>();
-            ///var response = await mediator.Send(new VerifyLocalUser.Command("user@test.com", "kappa123"));
-            ///response.IsSuccess.Should().BeTrue();
+            IMediator mediator = DatabaseFixture.Services.GetRequiredService<IMediator>();
 
+            var response = await mediator.Send(new VerifyLocalUser.Command(USER1.mail, USER1.pass));
+            // response.IsSuccess.Should().BeTrue();
 
+            
             //HttpContext context = DatabaseFixture.Services.GetRequiredService<IHttpContextAccessor>().HttpContext;
+            
             //Assert.True(context.User.Identity.IsAuthenticated);
             //context.User.Identity.IsAuthenticated.Should().Be(true);
             
-            ///_semaphore.Release();
+            _semaphore.Release();
         }
 
         [Fact]
         public async Task ADLoginTest()
         {
-            //TODO: AD login implementation
+            // IMediator mediator = DatabaseFixture.Services.GetRequiredService<IMediator>();
+
+            // var response = await mediator.Send(new VerifyAdUser.Command(USER1.mail, USER1.name));
+            // response.IsSuccess.Should().BeTrue();
         }
 
         [Fact]
@@ -79,53 +84,5 @@ namespace Leuze.Tests.Core
 
             _semaphore.Release();
         }
-
-        [Fact]
-        public async Task AdminRoleTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task NonAdminRoleTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task AdminAddRoleTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task AdminRemoveRoleTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task AdminRemoveAdminRoleTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task AdminRemoveAdminSelfRoleTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task CreateAccTest()
-        {
-            //TODO: AD login implementation
-        }
-
-        [Fact]
-        public async Task CreateADAccTest()
-        {
-            //TODO: AD login implementation
-        }
     }
 }
diff --git a/tests/Core/Leuze.Tests.Core/RoleTests.cs b/tests/Core/Leuze.Tests.Core/RoleTests.cs
new file mode 100644
index 0000000..b457ecf
--- /dev/null
+++ b/tests/Core/Leuze.Tests.Core/RoleTests.cs
@@ -0,0 +1,58 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using Leuze.Tests.Configuration;
+using Microsoft.Extensions.DependencyInjection;
+using Xunit;
+
+namespace Leuze.Tests.Core
+{
+    [Trait("Category", "Core")]
+    public class RoleTests : TestWithDatabase
+    {
+        public RoleTests()
+        {
+            var services = new ServiceCollection();
+
+            Initialize(services);
+        }
+
+        [Fact]
+        public async Task AdminRoleTest()
+        {
+            //TODO: implementation
+        }
+
+        [Fact]
+        public async Task NonAdminRoleTest()
+        {
+            //TODO: implementation
+        }
+
+        [Fact]
+        public async Task AdminAddRoleTest()
+        {
+            //TODO: implementation
+        }
+
+        [Fact]
+        public async Task AdminRemoveRoleTest()
+        {
+            //TODO: implementation
+        }
+
+        [Fact]
+        public async Task AdminRemoveAdminRoleTest()
+        {
+            //TODO: implementation
+        }
+
+        [Fact]
+        public async Task AdminRemoveAdminSelfRoleTest()
+        {
+            //TODO: implementation
+        }
+    }
+}