commit e44123e83f2d4225eae4761d9b13899643af2ac7
Author: Milan Hotovec <silent@students.zcu.cz>
Date:   Mon Apr 5 23:26:27 2021 +0200

    Deploy commands fix
    @deploy

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 3492c87..bb63e5d 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -109,14 +109,14 @@ release_manual_job_windows:
     - 'dotnet publish'
     - '$today = (Get-Date).ToString("yyyy_MM_dd-HH_mm_ss")'
     - '& mkdir "deploy/modules"'
-    - '& echo "Build branch: $today`n" > deploy\00_buildLog.txt'
+    - '& echo "Build time: $today`n" > deploy\00_buildLog.txt'
     - '& echo "Build branch: $CI_COMMIT_BRANCH`n" >> deploy\00_buildLog.txt'
     - '& echo "Pipeline: $CI_PIPELINE_URL`n" >> deploy\00_buildLog.txt'
     - '& echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> deploy\00_buildLog.txt'
     - '& echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> deploy\00_buildLog.txt'
     - '& echo "Description: $CI_COMMIT_MESSAGE`n" >> deploy\00_buildLog.txt'
-    - '& xcopy /y /s ".\src\Presentation\Leuze.App\bin\Debug\net5.0\*.*" "deploy"'
-    - '& xcopy /y /s ".\src\Presentation\Leuze.Modules\net5.0\*.*" "deploy\modules"'
+    - '& xcopy /y /s ".\src\Presentation\Leuze.App\bin\Debug\net5.0\publish\*.*" "deploy"'
+    - '& xcopy /y /s ".\src\Presentation\Leuze.Modules\net5.0\publish\*.*" "deploy\modules"'
   artifacts:
     name: "Manual Deploy artifact - windows"
     expire_in: 30 days
@@ -140,14 +140,14 @@ release_developmental_job_windows:
     - 'dotnet publish'
     - '$today = (Get-Date).ToString("yyyy_MM_dd-HH_mm_ss")'
     - '& mkdir "deploy/modules"'
-    - '& echo "Build branch: $today`n" > deploy\00_buildLog.txt'
+    - '& echo "Build time: $today`n" > deploy\00_buildLog.txt'
     - '& echo "Build branch: $CI_COMMIT_BRANCH`n" >> deploy\00_buildLog.txt'
     - '& echo "Pipeline: $CI_PIPELINE_URL`n" >> deploy\00_buildLog.txt'
     - '& echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> deploy\00_buildLog.txt'
     - '& echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> deploy\00_buildLog.txt'
     - '& echo "Description: $CI_COMMIT_MESSAGE`n" >> deploy\00_buildLog.txt'
-    - '& xcopy /y /s ".\src\Presentation\Leuze.App\bin\Debug\net5.0\*.*" "deploy"'
-    - '& xcopy /y /s ".\src\Presentation\Leuze.Modules\net5.0\*.*" "deploy\modules"'
+    - '& xcopy /y /s ".\src\Presentation\Leuze.App\bin\Debug\net5.0\publish\*.*" "deploy"'
+    - '& xcopy /y /s ".\src\Presentation\Leuze.Modules\net5.0\publish\*.*" "deploy\modules"'
   artifacts:
     name: "Developmental Deploy artifact - windows"
     expire_in: 30 days
@@ -171,14 +171,14 @@ release_master_job_windows:
     - 'dotnet publish'
     - '$today = (Get-Date).ToString("yyyy_MM_dd-HH_mm_ss")'
     - '& mkdir "deploy/modules"'
-    - '& echo "Build branch: $today`n" > deploy\00_buildLog.txt'
+    - '& echo "Build time: $today`n" > deploy\00_buildLog.txt'
     - '& echo "Build branch: $CI_COMMIT_BRANCH`n" >> deploy\00_buildLog.txt'
     - '& echo "Pipeline: $CI_PIPELINE_URL`n" >> deploy\00_buildLog.txt'
     - '& echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> deploy\00_buildLog.txt'
     - '& echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> deploy\00_buildLog.txt'
     - '& echo "Description: $CI_COMMIT_MESSAGE`n" >> deploy\00_buildLog.txt'
-    - '& xcopy /y /s ".\src\Presentation\Leuze.App\bin\Debug\net5.0\*.*" "deploy"'
-    - '& xcopy /y /s ".\src\Presentation\Leuze.Modules\net5.0\*.*" "deploy\modules"'
+    - '& xcopy /y /s ".\src\Presentation\Leuze.App\bin\Debug\net5.0\publish\*.*" "deploy"'
+    - '& xcopy /y /s ".\src\Presentation\Leuze.Modules\net5.0\publish\*.*" "deploy\modules"'
   artifacts:
     name: "Master Deploy artifact - windows"
     expire_in: 30 days
@@ -199,15 +199,15 @@ release_manual_job_linux:
   script:
     - 'dotnet publish'
     - 'today=date'
-    - '& mkdir -p "./deploy/modules"'
-    - '& echo "Build branch: $today`n" > ./deploy/00_buildLog.txt'
-    - '& echo "Build branch: $CI_COMMIT_BRANCH`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Pipeline: $CI_PIPELINE_URL`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Description: $CI_COMMIT_MESSAGE`n" >> ./deploy/00_buildLog.txt'
-    - '& cp -r "./src/Presentation/Leuze.App/bin\Debug/net5.0/." "./deploy"'
-    - '& cp -r "./src/Presentation/Leuze.Modules/net5.0/." "./deploy/modules"'
+    - 'mkdir -p "./deploy/modules"'
+    - 'echo "Build time: $today`n" > ./deploy/00_buildLog.txt'
+    - 'echo "Build branch: $CI_COMMIT_BRANCH`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Pipeline: $CI_PIPELINE_URL`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Description: $CI_COMMIT_MESSAGE`n" >> ./deploy/00_buildLog.txt'
+    - 'cp -r "./src/Presentation/Leuze.App/bin\Debug/net5.0/." "./deploy"'
+    - 'cp -r "./src/Presentation/Leuze.Modules/net5.0/." "./deploy/modules"'
   artifacts:
     name: "Manual Deploy artifact - linux"
     expire_in: 30 days
@@ -230,15 +230,15 @@ release_developmental_job_linux:
   script:
     - 'dotnet publish'
     - 'today=date'
-    - '& mkdir -p "./deploy/modules"'
-    - '& echo "Build branch: $today`n" > ./deploy/00_buildLog.txt'
-    - '& echo "Build branch: $CI_COMMIT_BRANCH`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Pipeline: $CI_PIPELINE_URL`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Description: $CI_COMMIT_MESSAGE`n" >> ./deploy/00_buildLog.txt'
-    - '& cp -r "./src/Presentation/Leuze.App/bin\Debug/net5.0/." "./deploy"'
-    - '& cp -r "./src/Presentation/Leuze.Modules/net5.0/." "./deploy/modules"'
+    - 'mkdir -p "./deploy/modules"'
+    - 'echo "Build time: $today`n" > ./deploy/00_buildLog.txt'
+    - 'echo "Build branch: $CI_COMMIT_BRANCH`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Pipeline: $CI_PIPELINE_URL`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Description: $CI_COMMIT_MESSAGE`n" >> ./deploy/00_buildLog.txt'
+    - 'cp -r "./src/Presentation/Leuze.App/bin\Debug/net5.0/." "./deploy"'
+    - 'cp -r "./src/Presentation/Leuze.Modules/net5.0/." "./deploy/modules"'
   artifacts:
     name: "Developmental Deploy artifact - linux"
     expire_in: 30 days
@@ -261,15 +261,15 @@ release_master_job_linux:
   script:
     - 'dotnet publish'
     - 'today=date'
-    - '& mkdir -p "./deploy/modules"'
-    - '& echo "Build branch: $today`n" > ./deploy/00_buildLog.txt'
-    - '& echo "Build branch: $CI_COMMIT_BRANCH`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Pipeline: $CI_PIPELINE_URL`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> ./deploy/00_buildLog.txt'
-    - '& echo "Description: $CI_COMMIT_MESSAGE`n" >> ./deploy/00_buildLog.txt'
-    - '& cp -r "./src/Presentation/Leuze.App/bin\Debug/net5.0/." "./deploy"'
-    - '& cp -r "./src/Presentation/Leuze.Modules/net5.0/." "./deploy/modules"'
+    - 'mkdir -p "./deploy/modules"'
+    - 'echo "Build time: $today`n" > ./deploy/00_buildLog.txt'
+    - 'echo "Build branch: $CI_COMMIT_BRANCH`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Pipeline: $CI_PIPELINE_URL`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Pipeline trigger source: $CI_PIPELINE_SOURCE`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Runner: $CI_RUNNER_DESCRIPTION`n" >> ./deploy/00_buildLog.txt'
+    - 'echo "Description: $CI_COMMIT_MESSAGE`n" >> ./deploy/00_buildLog.txt'
+    - 'cp -r "./src/Presentation/Leuze.App/bin\Debug/net5.0/." "./deploy"'
+    - 'cp -r "./src/Presentation/Leuze.Modules/net5.0/." "./deploy/modules"'
   artifacts:
     name: "Master Deploy artifact - linux"
     expire_in: 30 days