commit fd0edcc305b032a3fd4500d0e01c59d9ce9b6fb7
Author: Dominik Chlouba <dchlouba@students.zcu.cz>
Date:   Fri May 14 09:59:09 2021 +0200

    Some minor UI bug fixes
    refs #8895 @0.1h

diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
index cb696ff..61b6195 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
@@ -17,6 +17,10 @@
         <select>
             <option value="" disabled>Zvolte uživatele</option>
         </select>
+        <div class="review_description_title">Počet odpracovaných hodin</div>
+        <input type="number" />
+        <div class="review_description_title">Finanční základ</div>
+        <input type="number" />
     </div>
     <div class="review_detail_footer">
         <button>Vytvořit</button>
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor
index 7926331..0d917b1 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/GoalDetailAside.razor
@@ -3,16 +3,16 @@
     <div class="goal_detail_header">
         <div>
             <button class="authorize_button accepted">Schválit</button>
-            <div class="review_button accepted">
+            <div class="review_button accepted" @onclick="() =>SetReviewId(Guid.NewGuid())">
                 1 <i class="fal fa-trophy"></i>
             </div>
-            <div class="review_button accepted" title="zkouška">
+            <div class="review_button accepted" title="zkouška" @onclick="() =>SetReviewId(Guid.NewGuid())">
                 2 <i class="fal fa-trophy"></i>
             </div>
-            <div class="review_button">
+            <div class="review_button" @onclick="() =>SetReviewId(Guid.NewGuid())">
                 <i class="fal fa-trophy-alt"></i>
             </div>
-            <button class="authorize_button">Vytvořit 1. hodnocení</button>
+            <button class="authorize_button" @onclick="() =>SetReviewId(Guid.NewGuid())">Vytvořit 1. hodnocení</button>
         </div>
         <div>
             <div class="close_button" @onclick="Close">
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
index fcb75ad..88bc9dc 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
@@ -39,11 +39,18 @@
                 <td>150%</td>
                 <td>
                     <div class="flex">
-                        <div></div>
                         <div @onclick='() => SetDetailId(Guid.NewGuid())'>
                             <i class="fal fa-eye"></i>
                             Otevřít
                         </div>
+                        <div>
+                            <i class="fal fa-edit"></i>
+                            Upravit
+                        </div>
+                        <div>
+                            <i class="fal fa-trash"></i>
+                            Smazat
+                        </div>
                     </div>
                 </td>
             </tr>
@@ -156,6 +163,15 @@ else
     table tr:not(:first-child):hover {
     background-color: #EDEDED55;
     }
+    .flex{
+    display: grid;
+    align-items: center;
+    grid-template-columns: repeat(3, 100px);
+    justify-content: right;
+    }
+    .flex > div:not(:last-child) {
+    margin-right: 8px;
+    }
 </BlazorStyled.Styled>
 
 @code {
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
index d40c931..596b95a 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
@@ -36,6 +36,10 @@
                             <i class="fal fa-edit"></i>
                             Upravit
                         </div>
+                        <div>
+                            <i class="fal fa-trash"></i>
+                            Smazat
+                        </div>
                     </div>
                 </td>
             </tr>
@@ -65,7 +69,7 @@ else
     .flex{
     display: grid;
     align-items: center;
-    grid-template-columns: repeat(2, 100px);
+    grid-template-columns: repeat(3, 100px);
     justify-content: right;
     }
     .flex > div:not(:last-child) {
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
index 8b58da8..f571ede 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
@@ -42,6 +42,10 @@
                             <i class="fal fa-edit"></i>
                             Upravit
                         </div>
+                        <div>
+                            <i class="fal fa-trash"></i>
+                            Smazat
+                        </div>
                     </div>
                 </td>
             </tr>
@@ -133,7 +137,7 @@ else
     .flex{
     display: grid;
     align-items: center;
-    grid-template-columns: repeat(2, 100px);
+    grid-template-columns: repeat(3, 100px);
     justify-content: right;
     }
     .flex > div:not(:last-child) {