commit 3dcfc4abfeeb307e3c6f49cf101af28dee9ebaa0
Author: lmoucka@students.zcu.cz <AccessGitLm21895.199521>
Date:   Fri May 21 15:25:17 2021 +0200

    Re #8969 - Upravit UX Popup formulářů
    * Modify HTML DOM

diff --git a/src/app/dashboard/components/dashboard.component.html b/src/app/dashboard/components/dashboard.component.html
index 6f870cf..2431e58 100644
--- a/src/app/dashboard/components/dashboard.component.html
+++ b/src/app/dashboard/components/dashboard.component.html
@@ -7,9 +7,9 @@
           <div [className]="'row dashboard-unit'">
             <div class="col-sm-5 col-md-7 col-xl-9"><h3 class="unitName">{{ unit.unit.description}}</h3></div>
             <div class="col-sm-7 col-md-5 col-xl-3 dashboard-unit-heading">
-              <p-button [id]="unit.unit.description" label="Sensors graph" icon="pi pi-chart-line" [routerLink]="['/dashboard/unit', unit.unit.unitId]" [queryParams]="{unitDescription: unit.unit.description}"></p-button>
+              <button pButton type="button" label="Sensors graph" class="p-button-primary" icon="pi pi-chart-line" [id]="unit.unit.description"  [routerLink]="['/dashboard/unit', unit.unit.unitId]" [queryParams]="{unitDescription: unit.unit.description}"></button>
               <div class="dashboard-button-separator"></div>
-              <p-button [id]="'manipulation_'+unit.unit.unitId" icon="pi pi-cog" styleClass="p-button-warning" (click)="showItems($event, unit.unit); menu.toggle($event)"></p-button>
+              <button pButton type="button" class="p-button-warning" icon="pi pi-cog" [id]="'manipulation_'+unit.unit.unitId"  (click)="showItems($event, unit.unit); menu.toggle($event)"></button>
               <p-menu #menu [popup]="true" [model]="items" [appendTo]="'body'" [baseZIndex]="50"></p-menu>
             </div>
           </div>
@@ -31,4 +31,4 @@
 <app-position-insert-popup *ngIf="showInsertPositionPopup" [unitId]="editedUnit.unitId" [(isVisible)]="showInsertPositionPopup"></app-position-insert-popup>
 
 
-<p-confirmDialog [style]="{width: '50vw'}" key="positionDialog" [position]="position" [baseZIndex]="10000" rejectButtonStyleClass="p-button" [className]="'popup-form'" [closable]="false"></p-confirmDialog>
+<p-confirmDialog key="positionDialog" [position]="position" [baseZIndex]="10000" rejectButtonStyleClass="p-button" [className]="'popup-form confirm'" [closable]="false"></p-confirmDialog>
diff --git a/src/app/dashboard/components/position-insert-popup/position-insert-popup.component.html b/src/app/dashboard/components/position-insert-popup/position-insert-popup.component.html
index eecc160..2502b8b 100644
--- a/src/app/dashboard/components/position-insert-popup/position-insert-popup.component.html
+++ b/src/app/dashboard/components/position-insert-popup/position-insert-popup.component.html
@@ -1,4 +1,4 @@
-<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add position to unit!" [style]="{width: '50vw'}"
+<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add position to unit"
           [baseZIndex]="10000" (onShow)="clearFormArray()" [className]="'popup-form'">
 
   <form [formGroup]="insertForm">
@@ -71,13 +71,10 @@
              placeholder="Dilution of precision"/>
     </div>
   </form>
-
   <p-footer>
-    <div class="row justify-content-end align-items-center">
-      <div>
-        <p-button icon="pi pi-times" (click)="close()" label="Close" class="pr-2"></p-button>
-        <p-button icon="pi pi-check" (click)="processInsertion()" type="submit" label="Save" class="pr-2"></p-button>
-      </div>
+    <div class="popup-buttons">
+      <button pButton type="button" label="Close" class="p-button-primary dark" icon="pi pi-times" (click)="close()"></button>
+      <button pButton type="submit" label="Save" class="p-button-primary dark" icon="pi pi-check" (click)="processInsertion()"></button>
     </div>
   </p-footer>
 </p-dialog>
diff --git a/src/app/dashboard/components/sensor-insert-popup/sensor-insert-popup.component.html b/src/app/dashboard/components/sensor-insert-popup/sensor-insert-popup.component.html
index 2f38a9b..2c1f0be 100644
--- a/src/app/dashboard/components/sensor-insert-popup/sensor-insert-popup.component.html
+++ b/src/app/dashboard/components/sensor-insert-popup/sensor-insert-popup.component.html
@@ -1,4 +1,4 @@
-<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add sensor to unit&nbsp;&ndash;&nbsp;{{unit?.unitId}}" [style]="{width: '40vw'}"
+<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add sensor to unit&nbsp;&ndash;&nbsp;{{unit?.unitId}}"
           [baseZIndex]="10000" (onShow)="clearFormArray()" [className]="'popup-form'">
 
   <form [formGroup]="insertForm">
@@ -47,11 +47,13 @@
   </form>
   <p-footer>
     <div class="popup-buttons-wrapper">
-      <p-button type="button" (click)="addSensor()" class="pr-2">Add Sensor</p-button>
-      <p-button *ngIf="sensors > 1" type="button" (click)="removeSensor()" class="pr-2">Remove last sensor</p-button>
-      <div>
-        <p-button icon="pi pi-times" (click)="close()" label="Close" class="pr-2"></p-button>
-        <p-button icon="pi pi-check" (click)="processSensorInsertion()" type="submit" label="Save" class="pr-2"></p-button>
+      <div class="popup-buttons-group">
+        <button pButton type="button" label="Add sensor" class="p-button-success" (click)="addSensor()"></button>
+        <button pButton type="button" label="Remove last sensor" class="p-button-danger" *ngIf="sensors > 1" (click)="removeSensor()"></button>
+      </div>
+      <div class="popup-buttons-group">
+        <button pButton type="button" label="Close" class="p-button-primary dark" icon="pi pi-times" (click)="close()"></button>
+        <button pButton type="submit" label="Save" class="p-button-primary dark" icon="pi pi-check" (click)="processSensorInsertion()"></button>
       </div>
     </div>
   </p-footer>
diff --git a/src/app/dashboard/components/unit-popup/unit-popup.component.html b/src/app/dashboard/components/unit-popup/unit-popup.component.html
index c19f63d..7af541e 100644
--- a/src/app/dashboard/components/unit-popup/unit-popup.component.html
+++ b/src/app/dashboard/components/unit-popup/unit-popup.component.html
@@ -1,4 +1,4 @@
-<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Edit unit - {{ unit?.unitId}}" [style]="{width: '50vw'}" [baseZIndex]="10000" [className]="'popup-form'">
+<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Edit unit - {{ unit?.unitId}}" [baseZIndex]="10000" [className]="'popup-form'">
 
   <form [formGroup]="insertForm">
     <div class="input-group form-group">
@@ -10,11 +10,9 @@
   </form>
 
   <p-footer>
-    <div class="row justify-content-end align-items-center">
-      <div>
-        <p-button icon="pi pi-times" (click)="close()" label="Close" class="pr-2"></p-button>
-        <p-button icon="pi pi-check" (click)="saveUnit()" type="submit" label="Save" class="pr-2"></p-button>
-      </div>
+    <div class="pupup-buttons">
+      <button pButton type="button" label="Close" class="p-button-primary dark" icon="pi pi-times" (click)="close()"></button>
+      <button pButton type="submit" label="Save" class="p-button-primary dark" icon="pi pi-check" (click)="saveUnit()"></button>
     </div>
   </p-footer>
 </p-dialog>
diff --git a/src/app/shared/nav-bar/components/unit-insert-popup/unit-insert-popup.component.html b/src/app/shared/nav-bar/components/unit-insert-popup/unit-insert-popup.component.html
index 8cd61b4..8b8b150 100644
--- a/src/app/shared/nav-bar/components/unit-insert-popup/unit-insert-popup.component.html
+++ b/src/app/shared/nav-bar/components/unit-insert-popup/unit-insert-popup.component.html
@@ -1,4 +1,4 @@
-<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add unit" [style]="{width: '50vw'}"
+<p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add unit"
           [baseZIndex]="10000" (onShow)="clearFormArray()" [className]="'popup-form'">
 
   <form [formGroup]="insertForm">
@@ -77,7 +77,7 @@
         </small>
       </div>
     </div>
-    <h3>Add sensors</h3>
+    <h3>Added sensors</h3>
     <hr>
     <div class="input-group form-group popup-sensors-wrapper">
       <div formArrayName="sensors" *ngFor="let item of insertForm.get('sensors')['controls']; let i = index;">
@@ -124,13 +124,13 @@
   </form>
   <p-footer>
     <div class="popup-buttons-wrapper">
-      <div>
-        <p-button type="button" (click)="addSensor()" class="pr-2">Add sensor</p-button>
-        <p-button *ngIf="sensors > 0" type="button" (click)="removeSensor()" class="pr-2">Remove last sensor</p-button>
+      <div class="popup-buttons-group">
+        <button pButton type="button" label="Add sensor" class="p-button-success" (click)="addSensor()"></button>
+        <button pButton type="button" *ngIf="sensors > 0"  label="Remove last sensor" class="p-button-danger" (click)="removeSensor()"></button>
       </div>
-      <div>
-        <p-button icon="pi pi-times" (click)="close()" label="Close" class="pr-2"></p-button>
-        <p-button icon="pi pi-check" (click)="processInsertion()" type="submit" label="Save" class="pr-2"></p-button>
+      <div class="popup-buttons-group">
+        <button pButton type="button" label="Close" class="p-button-primary dark" icon="pi pi-times" (click)="close()"></button>
+        <button pButton type="submit" label="Save" class="p-button-primary dark" icon="pi pi-check" (click)="processInsertion()"></button>
       </div>
     </div>
   </p-footer>
diff --git a/src/app/shared/nav-bar/components/user-insert-popup/user-insert-popup.component.html b/src/app/shared/nav-bar/components/user-insert-popup/user-insert-popup.component.html
index 6685013..88fc388 100644
--- a/src/app/shared/nav-bar/components/user-insert-popup/user-insert-popup.component.html
+++ b/src/app/shared/nav-bar/components/user-insert-popup/user-insert-popup.component.html
@@ -1,5 +1,5 @@
 <p-dialog [visible]="isVisible" [modal]="true" [closable]="false" [draggable]="false" header="Add user"
-          [style]="{width: '50vw'}" [baseZIndex]="10000" [className]="'popup-form'">
+          [baseZIndex]="10000" [className]="'popup-form'">
 
   <form [formGroup]="insertForm">
     <div class="input-group form-group">
@@ -47,12 +47,11 @@
       </div>
     </div>
   </form>
-
   <p-footer>
-    <div class="row justify-content-end align-items-center">
-      <div>
-        <p-button icon="pi pi-times" (click)="close()" label="Close" class="pr-2"></p-button>
-        <p-button icon="pi pi-check" (click)="saveUser()" type="submit" label="Save" class="pr-2"></p-button>
+    <div class="row">
+      <div class="popup-buttons">
+        <button pButton type="button" label="Close" class="p-button-primary dark" icon="pi pi-times" (click)="close()"></button>
+        <button pButton type="submit" label="Save" class="p-button-primary dark" icon="pi pi-check" (click)="saveUser()"></button>
       </div>
     </div>
   </p-footer>